Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class PageActivationContextCollectorImpl

    java.lang.Object
      org.apache.tapestry5.internal.services.PageActivationContextCollectorImpl

All Implemented Interfaces:
  PageActivationContextCollector, InvalidationListener

    public class PageActivationContextCollectorImpl

extends java.lang.Object
implements PageActivationContextCollector, InvalidationListener

Constructor Summary
`PageActivationContextCollectorImpl(TypeCoercer typeCoercer, RequestPageCache requestPageCache, ComponentModelSource modelSource)`

Method Summary
`java.lang.Object[]` | `collectPageActivationContext(java.lang.String pageName)` Fires the passivate event and collects the response, which is coerced to an object array.
`void` | `objectWasInvalidated()` Invoked to indicate that some object is invalid.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageActivationContextCollectorImpl

    public PageActivationContextCollectorImpl(TypeCoercer typeCoercer,
                                              RequestPageCache requestPageCache,
                                              ComponentModelSource modelSource)

Method Detail

### objectWasInvalidated

    public void objectWasInvalidated()

  Description copied from interface: `InvalidationListener`
  Invoked to indicate that some object is invalid. The receiver should clear its cache.

  Specified by:
    `objectWasInvalidated` in interface `InvalidationListener`

### collectPageActivationContext

    public java.lang.Object[] collectPageActivationContext(java.lang.String pageName)

  Description copied from interface: `PageActivationContextCollector`
  Fires the passivate event and collects the response, which is coerced to an object array. A page that does not have an event handler for the passivate event will return an empty array.

  Specified by:
    `collectPageActivationContext` in interface `PageActivationContextCollector`
  Parameters:
    `pageName` - to collect context from ; this should be the canonical page name
  Returns:
    the activation context, or an empty array of the page does not provide a context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.